package com.docus.server.archivefile;

import com.docus.infrastructure.core.exception.IErrorCode;

public enum RecordExceptionEnum implements IErrorCode {

    /**
     * 备份实例不存在
     */
    NOT_NULL("1001", "参数不能为空！"),
    ;


    private String msgCode;
    private String msg;


    /**
     * 模块业务码,例如微信是 WX，每个模块独立标识
     */
    private String moduleCode = "MR";


    RecordExceptionEnum(String msgCode, String msg) {
        this.msgCode = msgCode;
        this.msg = msg;
    }


    @Override
    public String getCode() {
        return moduleCode + this.msgCode;
    }

    @Override
    public String getMessage() {
        return msg;
    }

}
